/* API - Any Device - Any OS */
/* $Workfile: gsc_sem.h $ */
/* $Revision: 1 $ */
/* $Date: 5/04/06 3:49p $ */
/* $Log: /NEW SOURCESAFE DATABASE/SDK/PLX/gsc/common/api/gsc_sem.h $
 *
 * 1     5/04/06 3:49p Dnewbold
*/

#ifndef __GSC_SEM_H__
#define __GSC_SEM_H__

#include "gsc_os_sem.h"



/* typedefs	*****************************************************************/

typedef struct
{
	os_sem_t	sem;
} gsc_sem_t;




/* prototypes	*************************************************************/

U32		gsc_sem_create(gsc_sem_t* sem, const char* name);
U32		gsc_sem_destroy(gsc_sem_t* sem);
U32		gsc_sem_lock(gsc_sem_t* sem);
void	gsc_sem_unlock(gsc_sem_t* sem);



#endif
