/* API - DMI32 - Any OS */
/* $Workfile: dev_irq.h $ */
/* $Revision: 3 $ */
/* $Date: 10/27/07 10:46a $ */
/* $Log: /NEW SOURCESAFE DATABASE/SDK/PLX/gsc/dmi32/api/dev_irq.h $
 *
 * 3     10/27/07 10:46a Dnewbold
 * Linux porting updates.
 *
 * 2     3/01/07 8:25a Dnewbold
 *
 * 1     8/22/05 3:40p Dnewbold
*/

#ifndef __DEV_IRQ_H__
#define __DEV_IRQ_H__

#include "gsc_access.h"	/*lint !e537 */

#include "dmi32_api.h"	/*lint !e537 */



/* prototypes	*************************************************************/

U32		irq_init(dev_data_t* dev);

U32		irq_callback_arg(dev_data_t* dev, U32 which, UL set, UL* get);
U32		irq_callback_func(dev_data_t* dev, U32 which, UL set, UL* get);
U32		irq_enable(dev_data_t* dev, U32 which, UL set, UL* get);
U32		irq_state(dev_data_t* dev, U32 which, UL set, UL* get);



#endif
