/* API - DMI32 - Any OS */
/* $Workfile: dev_reg.h $ */
/* $Revision: 2 $ */
/* $Date: 3/01/07 8:30a $ */
/* $Log: /NEW SOURCESAFE DATABASE/SDK/PLX/gsc/dmi32/api/dev_reg.h $
 *
 * 2     3/01/07 8:30a Dnewbold
 * Linted.
 *
 * 1     8/22/05 3:40p Dnewbold
*/

#ifndef __DEV_REG_H__
#define __DEV_REG_H__

#include "dev_access.h"	/*lint !e537 */



/* #defines	*****************************************************************/

#define	GSC_REG_MOD(dev,reg,var,m)	reg_firmware_mod(	(dev),				\
														(reg),				\
														(var),				\
														(m))

#define	GSC_REG_READ(dev,reg,val)	reg_firmware_read(	(dev),				\
														(reg),				\
														(val))

#define	GSC_REG_WRITE(dev,reg,val)	reg_firmware_write(	(dev),				\
														(reg),				\
														(val))

#define	PLX_REG_READ(dev,reg,val)	gsc_bar_reg_read(	&(dev)->plx_regs,	\
														(reg),				\
														(val))

#define	PLX_REG_WRITE(dev,reg,val)	gsc_bar_reg_write(	&(dev)->plx_regs,	\
														(reg),				\
														(val))

#define	PCI_REG_READ(dev,reg,val)	gsc_reg_pci_read(	&(dev)->device,		\
														(reg),				\
														(val))



/* prototypes	*************************************************************/

U32	reg_firmware_mod(dev_data_t* dev, U32 reg, U32 value, U32 mask);
U32	reg_firmware_read(dev_data_t* dev, U32 reg, U32* value);
U32	reg_firmware_write(dev_data_t* dev, U32 reg, U32 value);



#endif
