/* API - DMI32 - Any OS */
/* $Workfile: dev_status.c $ */
/* $Revision: 1 $ */
/* $Date: 8/22/05 3:40p $ */
/* $Log: /NEW SOURCESAFE DATABASE/SDK/PLX/gsc/dmi32/api/dev_status.c $
 *
 * 1     8/22/05 3:40p Dnewbold
*/

#include "gsc_status.h"
#include "dmi32_api.h"



/*****************************************************************************
*
*	Function:	dmi32_status_text
*
*	Purpose:
*
*		Return a textual description of the given status value.
*
*	Arguments:
*
*		status		The status of interest.
*
*		text		The text goes here.
*
*		size		The size of the above buffer.
*
*	Returned:
*
*		GSC_SUCCESS	All went well.
*		else		An appropriate error status.
*
*****************************************************************************/

U32 GSC_EXPORT dmi32_status_text(U32 status, char* text, size_t size)
{
	status	= gsc_status_text(status, text, size);
	return(status);
}


