#include <stdio.h>

#include "dmi32_api.h"
#include "dmi32_dsl.h"

U32	dmi32_dsl_bcr_mod(
	void*	handle,
	U32		value,
	U32		mask,
	int		verbose)
{
	U32	status;

	status	= dmi32_reg_mod(handle, DMI32_BCR, value, mask);

	if (!verbose)
	{
	}
	else if (status != GSC_SUCCESS)
	{
		printf("dmi32_reg_mod() failure: %ld\n", (long) status);
	}
	else
	{
		printf("BCR Modify:\n");
		printf("  Value: 0x%lX\n", (long) value);
		printf("  Mask:  0x%lX\n", (long) mask);
	}

	return(status);
}
