#include <stdio.h>

#include "dmi32_api.h"
#include "dmi32_dsl.h"

U32	dmi32_dsl_board_count(U8* count, int verbose)
{
	U32	status;

	status	= dmi32_board_count(count);

	if (!verbose)
	{
	}
	else if (status != GSC_SUCCESS)
	{
		printf("dmi32_board_count() failure: %ld\n", (long) status);
	}
	else
	{
		printf("DMI32 Board Count: %d\n", (int) count[0]);
	}

	return(status);
}
