/* $Revision: 1 $ */
/* $Date: 8/22/05 3:50p $ */
/*
*	Provide an external interface to the DMI32 driver's documentation
*	sample code.
*/

#ifndef __DMI32_DSL_H__
#define __DMI32_DSL_H__

#ifdef __cplusplus
extern "C" {
#endif



/* prototypes	**************************************************************/

U32		dmi32_dsl_api_status(int verbose);
U32		dmi32_dsl_bcr_read(void* handle, U32* value, int verbose);
U32		dmi32_dsl_bcr_write(void* handle, U32 value, int verbose);
U32		dmi32_dsl_board_count(U8* count, int verbose);
U32		dmi32_dsl_clock_check(void* handle, U32* mhz, int verbose);
U32		dmi32_dsl_close(void* handle, int verbose);
U32		dmi32_dsl_init(void* handle, int verbose);
long	dmi32_dsl_io_status_evaluate(U32 io_status);
U32		dmi32_dsl_open(U8 index, void** handle, int verbose);
U32		dmi32_dsl_reset(void* handle, int verbose);
U32		dmi32_dsl_rx_seek(void* handle, U32 offset, int verbose);
U32		dmi32_dsl_rx_tell(void* handle, U32* offset, int verbose);
U32		dmi32_dsl_status_text(U32 stat, int verbose);
U32		dmi32_dsl_tx_timeout_reset(void* handle, int verbose);
U32		dmi32_dsl_tx_wait(void* handle, U32 timeout_ms, int verbose);
U32		dmi32_dsl_version_get(void* handle, U8 id, int verbose);
U32		dmi32_dsl_xfer_buf_report(void* handle, int verbose);

U32		dmi32_dsl_bcr_mod(						void*		handle,
												U32			value,
												U32			mask,
												int			verbose);

U32		dmi32_dsl_multi_buffer_under_run_wait(	void*		handle,
												U32			timeout_ms,
												int			verbose);

U32		dmi32_dsl_read(							void*		handle,
												void*		buffer,
												U32			bytes,
												U32*		count,
												int			verbose);

U32		dmi32_dsl_tx_timeout_get(				void*		handle,
												U32*		timeout_secs,
												int			verbose);

U32		dmi32_dsl_tx_timeout_set(				void*		handle,
												U32			timeout_s,
												int			verbose);

U32		dmi32_dsl_write(						void*		handle,
												const void*	buffer,
												U32			bytes,
												U32*		count,
												int			verbose);

U32		dmi32_dsl_xfer_buf_update(				void*		handle,
												U32			offset,
												U32			size,
												int			verbose);



#ifdef __cplusplus
}
#endif

#endif
