#include <stdio.h>

#include "dmi32_api.h"
#include "dmi32_dsl.h"

U32	dmi32_dsl_read(
	void*	handle,
	void*	buffer,
	U32		bytes,
	U32*	count,
	int		verbose)
{
	U32	status;

	status	= dmi32_read(handle, buffer, bytes, count);

	if (!verbose)
	{
	}
	else
	{
		printf("I/O Read Operation:\n");
		printf("  Status:    0x%lX\n", (long) status);
		printf("  Requested: 0x%lX\n", (long) bytes);
		printf("  Received:  0x%lX\n", (long) count[0]);
	}

	return(status);
}
