#include <stdio.h>

#include "dmi32_api.h"
#include "dmi32_dsl.h"

U32	dmi32_dsl_rx_tell(void* handle, U32* offset, int verbose)
{
	U32				status;
	unsigned long	value;

	status		= dmi32_tell(handle, DMI32_WHICH_RX, &value);
	offset[0]	= (U32) value;

	if (!verbose)
	{
	}
	else if (status != GSC_SUCCESS)
	{
		printf("dmi32_tell() failure: %ld\n", (long) status);
	}
	else
	{
		printf("I/O Read Offset is 0x%lX:\n", (long) offset[0]);
	}

	return(status);
}
