#include <stdio.h>

#include "dmi32_api.h"
#include "dmi32_dsl.h"

U32	dmi32_dsl_xfer_buf_report(void* handle, int verbose)
{
	U32	offset;
	U32	size;
	U32	status;

	status	= dmi32_xfer_buf_get(handle, &offset, &size);

	if (!verbose)
	{
	}
	else if (status != GSC_SUCCESS)
	{
		printf("dmi32_xfer_buf_get() failure: %ld\n", (long) status);
	}
	else
	{
		printf("Transfer Buffer:\n");
		printf("  Offset: 0x%lX\n", (long) offset);
		printf("  Size:   ");

		if (size == DMI32_XFER_SIZE_4GB)
			printf("4GB\n");
		else
			printf("0x%lX\n", (long) size);
	}

	return(status);
}
