/* This software is covered by the GNU GENERAL PUBLIC LICENSE (GPL). */
/* DMI32 - Driver - Linux */
/* $Workfile: dev_os_version.c $ */
/* $Revision: 1 $ */
/* $Date: 5/10/06 12:26p $ */
/* $Log: /NEW SOURCESAFE DATABASE/SDK/PLX/gsc/dmi32/driver/linux/dev_os_version.c $
 *
 * 1     5/10/06 12:26p Dnewbold
*/

#include "dev_version.h"
#include "main.h"



int dev_os_id_device(struct pci_dev* pci)
{
	u16	did;
	int	ours;
	u16	sid;
	u16	svd;
	u16	vid;

	pci_read_config_word(pci, PCI_VENDOR_ID, &vid);
	pci_read_config_word(pci, PCI_DEVICE_ID, &did);
	pci_read_config_word(pci, PCI_SUBSYSTEM_VENDOR_ID, &svd);
	pci_read_config_word(pci, PCI_SUBSYSTEM_ID, &sid);

	if ((vid == 0x10B5) &&
		(did == 0x9080) &&
		(svd == 0x10B5) &&
		(sid == 0x2707))
	{
		ours	= 1;
	}
	else
	{
		ours	= 0;
	}

#if 0
	printk(	"0x%04lX 0x%04lX 0x%04lX 0x%04lX %s\n",
			(long) vid,
			(long) did,
			(long) svd,
			(long) sid,
			ours ? "YES" : "NO");
#endif

	return(ours);
}



