/* API - Any Device - Any OS */
/* $Workfile: gsc_key.h $ */
/* $Revision: 2 $ */
/* $Date: 3/01/07 5:28p $ */
/* $Log: /NEW SOURCESAFE DATABASE/SDK/PLX/gsc/common/api/gsc_key.h $
 *
 * 2     3/01/07 5:28p Dnewbold
 * Added support for GSC_DEVICE_T_KEY.
 *
 * 1     8/22/05 11:49a Dnewbold
*/

#ifndef __GSC_KEY_H__
#define __GSC_KEY_H__

#include "gsc_os_key.h"



/* #defines	*****************************************************************/

#define	GSC_BAR_T_KEY						OS_KEY_MAKE('G', 'b', 'a', 'r')
#define	GSC_DEVICE_T_KEY					OS_KEY_MAKE('G', 'd', 'e', 'v')
#define	GSC_DMA_T_KEY						OS_KEY_MAKE('G', 'd', 'm', 'a')
#define	GSC_DMA_CHANNEL_T_KEY				OS_KEY_MAKE('G', 'd', 'c', 'h')
#define	GSC_EVENT_T_KEY						OS_KEY_MAKE('G', 'e', 'v', 'e')
#define	GSC_IO_T_KEY						OS_KEY_MAKE('G', 'i', 'o', '_')
#define	GSC_IO_OVERLAP_T_KEY				OS_KEY_MAKE('G', 'i', 'o', 'v')
#define	GSC_IRQ_T_KEY						OS_KEY_MAKE('G', 'i', 'r', 'q')
#define	GSC_MEM_T_KEY						OS_KEY_MAKE('G', 'm', 'e', 'm')

#define	GSC_BAR_T_KEY_VERIFY(ptr)			OS_KEY_VERIFY((ptr),GSC_BAR_T_KEY)
#define	GSC_DEVICE_T_KEY_VERIFY(ptr)		OS_KEY_VERIFY((ptr),GSC_DEVICE_T_KEY)
#define	GSC_DMA_T_KEY_VERIFY(ptr)			OS_KEY_VERIFY((ptr),GSC_DMA_T_KEY)
#define	GSC_DMA_CHANNEL_T_KEY_VERIFY(ptr)	OS_KEY_VERIFY((ptr),GSC_DMA_CHANNEL_T_KEY)
#define	GSC_EVENT_T_KEY_VERIFY(ptr)			OS_KEY_VERIFY((ptr),GSC_EVENT_T_KEY)
#define	GSC_IO_T_KEY_VERIFY(ptr)			OS_KEY_VERIFY((ptr),GSC_IO_T_KEY)
#define	GSC_IO_OVERLAP_T_KEY_VERIFY(ptr)	OS_KEY_VERIFY((ptr),GSC_IO_OVERLAP_T_KEY)
#define	GSC_IRQ_T_KEY_VERIFY(ptr)			OS_KEY_VERIFY((ptr),GSC_IRQ_T_KEY)
#define	GSC_MEM_T_KEY_VERIFY(ptr)			OS_KEY_VERIFY((ptr),GSC_MEM_T_KEY)



#endif
