/* API - Any Device - Any OS */
/* $Workfile: gsc_reg.h $ */
/* $Revision: 4 $ */
/* $Date: 10/27/07 10:13a $ */
/* $Log: /NEW SOURCESAFE DATABASE/SDK/PLX/gsc/common/api/gsc_reg.h $
 *
 * 4     10/27/07 10:13a Dnewbold
 *
 * 3     3/01/07 5:08p Dnewbold
 * Linted.
 *
 * 2     5/04/06 3:47p Dnewbold
 * Removed key validation code and increased modularity.
 *
 * 1     8/22/05 11:51a Dnewbold
*/

#ifndef __GSC_REG_H__
#define __GSC_REG_H__

#include "gsc_access.h"				/*lint !e537 */



/* prototypes	*************************************************************/

U32	gsc_reg_io_read(gsc_device_t* device, U8 index, U32 r_size, U32 reg, U32* value);
U32	gsc_reg_io_write(gsc_device_t* device, U8 index, U32 r_size, U32 reg, U32 value);
U32	gsc_reg_mapped_mod(UL r_base, U32 r_size, U32 reg, U32 value, U32 mask);
U32	gsc_reg_mapped_read(UL r_base, U32 r_size, U32 reg, U32* value);
U32	gsc_reg_mapped_write(UL r_base, U32 r_size, U32 reg, U32 value);
U32	gsc_reg_mem_read(gsc_device_t* device, U8 index, U32 r_size, U32 reg, U32* value);
U32	gsc_reg_mem_write(gsc_device_t* device, U8 index, U32 r_size, U32 reg, U32 value);
U32	gsc_reg_pci_read(gsc_device_t* device, U32 reg, U32* value);

U32	gsc_reg_io_mod(	gsc_device_t*	device,
					U8				index,
					U32				r_size,
					U32				reg,
					U32				value,
					U32				mask);

U32	gsc_reg_mem_mod(gsc_device_t*	device,
					U8				index,
					U32				r_size,
					U32				reg,
					U32				value,
					U32				mask);



#endif
