/* API - DMI32 - Any OS */
/* $Workfile: dev_misc.h $ */
/* $Revision: 3 $ */
/* $Date: 10/27/07 10:47a $ */
/* $Log: /NEW SOURCESAFE DATABASE/SDK/PLX/gsc/dmi32/api/dev_misc.h $
 *
 * 3     10/27/07 10:47a Dnewbold
 * Linux porting updates.
 *
 * 2     3/01/07 8:30a Dnewbold
 * Linted.
 *
 * 1     8/22/05 3:40p Dnewbold
*/

#ifndef __DEV_MISC_H__
#define __DEV_MISC_H__

#include "gsc_access.h"	/*lint !e537 */

#include "dmi32_api.h"	/*lint !e537 */



/* prototypes	*************************************************************/

U32	misc_dram_compute_size(dev_data_t* dev);

U32	misc_board_jumpers(dev_data_t* dev, U32 which, UL set, UL* get);
U32	misc_dram_capacity_mb(dev_data_t* dev, U32 which, UL set, UL* get);
U32	misc_dram_size_mb(dev_data_t* dev, U32 which, UL set, UL* get);
U32	misc_features(dev_data_t* dev, U32 which, UL set, UL* get);
U32	misc_map_gsc_regs(dev_data_t* dev, U32 which, UL set, UL* get);
U32	misc_map_plx_regs(dev_data_t* dev, U32 which, UL set, UL* get);
U32	misc_strict_arguments(dev_data_t* dev, U32 which, UL set, UL* get);
U32	misc_strict_config(dev_data_t* dev, U32 which, UL set, UL* get);
U32	misc_strict_dram_limits(dev_data_t* dev, U32 which, UL set, UL* get);



#endif
