/* API - DMI32 - Any OS */
/* $Workfile: dev_version.h $ */
/* $Revision: 6 $ */
/* $Date: 10/27/07 11:10a $ */
/* $Log: /NEW SOURCESAFE DATABASE/SDK/PLX/gsc/dmi32/api/dev_version.h $
 *
 * 6     10/27/07 11:10a Dnewbold
 * Updated the version comments (ported to Linux).
 *
 * 5     3/01/07 8:34a Dnewbold
 * Linted and updated version comments.
 *
 * 4     10/12/06 12:47p Dnewbold
 * Added #include of dev_os_version.h to correct overall version macro
 * expansion.
 *
 * 3     5/05/06 10:39a Dnewbold
 * Worked to increase modularity.
 *
 * 2     5/04/06 3:58p Dnewbold
 * Removed key validation code and increased modularity.
 *
 * 1     8/22/05 3:40p Dnewbold
*/

#ifndef __DEV_VERSION_H__
#define __DEV_VERSION_H__

#include "dmi32_api.h"		/*lint !e537 */

#include "dev_os_version.h"



/* #defines	*****************************************************************/

#define	API_DEV_VERSION				7
// 7	Ported to Linux.
// 6	Increased modularity, linted, some updating.
// 5	Ported to the SDK.
//
// 3-4	Skipped to force the version number to exceed the non-SDK version.
//
// 2	Updated dmi32_api.h per changes in common code.
//
// 1	Initial release.

#define	API_DEV_INTERFACE_VERSION	DMI32_API_VERSION
#define	API_DEV_PRODUCT_NAME_LOWER	"dmi32"
#define	API_DEV_PRODUCT_NAME_UPPER	"DMI32"



/* prototypes	*************************************************************/

U32	dev_version_verify(void);



#endif
