/* API - DMI32 - Any OS */
/* $Workfile: dev_xfer.h $ */
/* $Revision: 3 $ */
/* $Date: 10/27/07 10:48a $ */
/* $Log: /NEW SOURCESAFE DATABASE/SDK/PLX/gsc/dmi32/api/dev_xfer.h $
 *
 * 3     10/27/07 10:48a Dnewbold
 * Linux porting updates.
 *
 * 2     3/01/07 8:33a Dnewbold
 * Linted.
 *
 * 1     8/22/05 3:40p Dnewbold
*/

#ifndef __DEV_XFER_H__
#define __DEV_XFER_H__

#include "gsc_access.h"	/*lint !e537 */

#include "dmi32_api.h"	/*lint !e537 */



/* prototypes	*************************************************************/

U32	xfer_clkin_test(dev_data_t* dev, U32 which, UL set, UL* get);
U32	xfer_direction(dev_data_t* dev, U32 which, UL set, UL* get);
U32	xfer_enable(dev_data_t* dev, U32 which, UL set, UL* get);
U32	xfer_internal_clock_speed(dev_data_t* dev, U32 which, UL set, UL* get);
U32	xfer_mode(dev_data_t* dev, U32 which, UL set, UL* get);
U32	xfer_offset(dev_data_t* dev, U32 which, UL set, UL* get);
U32	xfer_size(dev_data_t* dev, U32 which, UL set, UL* get);
U32	xfer_start_word(dev_data_t* dev, U32 which, UL set, UL* get);
U32	xfer_start_word_dir(dev_data_t* dev, U32 which, UL set, UL* get);
U32	xfer_state(dev_data_t* dev, U32 which, UL set, UL* get);
U32	xfer_state_rx(dev_data_t* dev, U32 which, UL set, UL* get);
U32	xfer_state_tx(dev_data_t* dev, U32 which, UL set, UL* get);
U32	xfer_test_mode(dev_data_t* dev, U32 which, UL set, UL* get);



#endif
