#include <stdio.h>

#include "dmi32_api.h"
#include "dmi32_dsl.h"

U32	dmi32_dsl_api_status(int verbose)
{
	U32	arg;
	U32	stat;
	U32	status;

	status	= dmi32_api_status(&stat, &arg, DMI32_API_VERSION);

	if (!verbose)
	{
	}
	else if (status != GSC_SUCCESS)
	{
		printf("dmi32_api_status() failure: %ld\n", (long) status);
	}
	else
	{
		printf("API Status:\n");
		printf("  Status:   0x%lX\n", (long) stat);
		printf("  Argument: 0x%lX\n", (long) arg);
	}

	status	= (status == GSC_SUCCESS) ? stat : status;
	return(status);
}
