#include <stdio.h>

#include "dmi32_api.h"
#include "dmi32_dsl.h"

U32	dmi32_dsl_bcr_read(void* handle, U32* value, int verbose)
{
	U32	status;

	status	= dmi32_reg_read(handle, DMI32_BCR, value);

	if (!verbose)
	{
	}
	else if (status != GSC_SUCCESS)
	{
		printf("dmi32_reg_read() failure: %ld\n", (long) status);
	}
	else
	{
		printf("BCR Read: 0x%lX\n", (long) value[0]);
	}

	return(status);
}
