#include <stdio.h>

#include "dmi32_api.h"
#include "dmi32_dsl.h"

U32 dmi32_dsl_close(void* handle, int verbose)
{
	U32	status;

	status	= dmi32_close(handle);

	if (!verbose)
	{
	}
	else if (status != GSC_SUCCESS)
	{
		printf("dmi32_close() failure: %ld\n", (long) status);
	}
	else
	{
		printf("Device Closed: 0x%lX\n", (long) handle);
	}

	return(status);
}
