#include <stdio.h>

#include "dmi32_api.h"
#include "dmi32_dsl.h"

U32	dmi32_dsl_rx_seek(void* handle, U32 offset, int verbose)
{
	U32	status;

	status	= dmi32_seek(handle, DMI32_WHICH_RX, offset);

	if (!verbose)
	{
	}
	else if (status != GSC_SUCCESS)
	{
		printf("dmi32_seek() failure: %ld\n", (long) status);
	}
	else
	{
		printf("I/O Read Offset set to 0x%lX:\n", (long) offset);
	}

	return(status);
}
