#include <stdio.h>

#include "dmi32_api.h"
#include "dmi32_dsl.h"

U32 dmi32_dsl_tx_timeout_reset(void* handle, int verbose)
{
	U32	status;

	// Reset the Tx I/O timeout period to its default.
	status	= dmi32_config(	handle,
							DMI32_IO_TIMEOUT,
							DMI32_WHICH_TX,
							GSC_DEFAULT,
							NULL);

	if (!verbose)
	{
	}
	else if (status != GSC_SUCCESS)
	{
		printf("dmi32_config() failure: %ld\n", (long) status);
	}
	else
	{
		printf("I/O Tx Timeout Reset\n");
	}

	return(status);
}
